<?php
/**
 * Created by PhpStorm.
 * User: stanley-king
 * Date: 2017/12/4
 * Time: 上午11:06
 */

namespace async;

use Sms;
class params_table
{
    private $mSmstypeParams;
    private static $stInstance;

    private function __construct()
    {
        $this->mSmstypeParams = [];
        $this->mSmstypeParams[Sms::tpl_new_goods] = [
            'type_bless' => '韩国品牌婵真上架，领红包，愉快购物～',
            'type_name'  => '购物红包～',
            'push_title' => "收到上新红包",
            'push_text'  => "韩国大牌 婵真 最新入驻，领50元红包，马上尝鲜～",
            'push_url' => ""
        ];
    }

    static public function instance()
    {
        if(self::$stInstance == null) {
            self::$stInstance = new params_table();
        }
        return self::$stInstance;
    }
    public function find_params($sms_type)
    {
        if(array_key_exists($sms_type,$this->mSmstypeParams)) {
            return $this->mSmstypeParams[$sms_type];
        } else {
            return [];
        }
    }
}